/*
 * Triangle.h
 * 
 * Copyright (C) 2008 Matthias Schiffer <matthias@gamezock.de>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ZOOMEDIT_DATA_TRIANGLE_H_
#define ZOOMEDIT_DATA_TRIANGLE_H_

#include "Vertex.h"

namespace ZoomEdit {
namespace Data {

class Triangle {
  private:
    Vertex a, b, c;
    Vector na, nb, nc;
    
  public:
    Triangle(Vertex a0, Vertex b0, Vertex c0) : a(a0), b(b0), c(c0) {}
};

}
}

#endif /*ZOOMEDIT_DATA_TRIANGLE_H_*/
